using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Z2
{
    class Program
    {
        static void Main(string[] args)
        {
            
     
            int n = int.Parse(Console.ReadLine());

            double[] plate = new double[n];
            double[] porezi = new double[n];

            double zarada = 0;
            double najveca_zarada = 0;
            double trenutni_porez = 0;

            for (int i = 0; i < n; i++) {
                string unos = Console.ReadLine();
                string[] unos_str = unos.Split(' ');

                plate[i] = double.Parse(unos_str[0], System.Globalization.CultureInfo.InvariantCulture.NumberFormat);
                porezi[i] = double.Parse(unos_str[1], System.Globalization.CultureInfo.InvariantCulture.NumberFormat);
                
            }

            for (int i = 0; i < n; i++)
            {
                trenutni_porez = porezi[i];

                for (int j = 0; j < n; j++) {
                    if (trenutni_porez <= porezi[j]) {
                        zarada += plate[j] * trenutni_porez / 100.0; 
                    }
                }

                if (zarada > najveca_zarada) {
                    najveca_zarada = zarada;
                }

                zarada = 0;
            }

            Console.Write(najveca_zarada);
            Console.ReadKey();
        }
    }
}